<?php

namespace app\admin\validate\sys_manage;

use think\Validate;

class DeptValidate extends Validate
{
    protected $rule = [
        'dept_id'           => 'require|integer',
        'dept_super_id'     => 'require|integer',
        'dept_status'       => 'require|in:ACTIVED,DISABLED',
        'dept_category'     => 'require|in:职能部门,财务部门,仓库货仓,外延部门,营业场所,其他',
        'dept_code'         => 'require|alphaDash',
        'dept_city'         => 'require|chsDash',
        'dept_name'         => 'require|chsDash',
        'dept_telephone'    => 'mobile',
        'dept_position'     => 'regex:/^[0-9\.]+$/',
        'dept_address'      => 'chsDash',
        'dept_remark'       => 'chsDash'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['dept_super_id', 'dept_status', 'dept_category', 'dept_code', 'dept_city', 'dept_name', 'dept_telephone', 'dept_position', 'dept_address', 'dept_remark'],
        'update' => ['dept_super_id', 'dept_status', 'dept_category', 'dept_code', 'dept_city', 'dept_name', 'dept_telephone', 'dept_position', 'dept_address', 'dept_remark'],
        'update_status' => ['dept_status']
    ];
}