<?php

namespace app\admin\validate\sys_manage;

use think\Validate;

class FieldValidate extends Validate
{
    protected $rule = [
        'field_status' => 'require|in:ACTIVED,DISABLED',
        'field_category' => 'in:NORMAL,OTHER',
        'field_name' => 'require|chsDash',
        'field_table' => 'require|alphaDash',
        'field_column_key' => 'alphaDash',
        'field_column_datatype' => 'in:VARCHAR,DECIMAL,TEXT,DATE,DATETIME',
//        'field_column_default' => 'chsDash',
        'field_form_key' => 'in:id,name',
        'field_form_type' => 'alphaDash',
//        'field_form_default' => 'chsDash',
        'field_refer_json' => 'isJson',
//        'field_remark' => 'chsDash',
        'field_extend_json' => 'isJson'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['field_status', 'field_category', 'field_name', 'field_table', 'field_column_key', 'field_column_datatype', 'field_form_key', 'field_form_type', 'field_refer_json', 'field_extend_json'],
        'update' => ['field_category', 'field_name', 'field_table', 'field_column_key', 'field_column_datatype', 'field_form_key', 'field_form_type', 'field_refer_json', 'field_extend_json'],
        'update_status' => ['field_status']
    ];

    /**
     * @Desc 验证json
     * @Author Gorden
     * @Date 2024/2/22 14:09
     *
     * @param $value
     * @return string|true
     */
    protected function isJson($value)
    {
        if (!is_string($value)) {
            return '数据格式错误~';
        }
        json_decode($value);
        if (json_last_error() === JSON_ERROR_NONE) {
            return true;
        }
        return '数据格式错误~';


    }
}